Name:           texworks
Version:        0.2.3
Release:        3%{?dist}
Summary:        A simple IDE for authoring TeX documents


Group:          Applications/Editors
License:        GPLv2+
URL:            http://tug.org/texworks/
Source0:        http://texworks.googlecode.com/files/%{name}-%{version}.tar.gz
# Desktop file adopted from Debian with modification
Source1:        %{name}.desktop
# Fix some strange characters in README
# applied in upstream svn629
Patch0:         texworks-0.2.3-README-UTF8.patch

# Use qmake mechanism to install files and fix DSO linking problem
# DSO linking related part applied in upstream svn637
Patch1:         TeXworks-pro-install.patch

BuildRequires:  hunspell-devel
BuildRequires:  dbus-devel
BuildRequires:  poppler-qt4-devel
BuildRequires:  desktop-file-utils

# Description adopted from Debian with modification
%description
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc) documents,
with a Unicode-based, TeX-aware editor, integrated PDF viewer, and a clean,
simple interface accessible to casual and non-technical users.

You may install the texlive-* packages to make this program useful.

%prep
%setup -q
%patch0 -p0 -b .fix
%patch1 -p1 -b .fix


%build
%_qt4_qmake INSTALL_PREFIX=%{_prefix} DOCS_DIR=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %SOURCE1

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*


%changelog
* Sat Apr 24 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-3
- Move to menu category 'Office'
- License tag revised to 'GPLv2+'
- Initial import to Fedora repositories

* Thu Apr 22 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-2
- Fix some strange characters in README
- Patch TeXworks.pro to use qmake mechanism to install files and fix DSO linking
  problem

* Sun Apr 11 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-1
- Initial packaging
